読者です 読者をやめる 読者になる 読者になる

リア充爆発日記

You don't even know what ria-ju really is.

rbenvで新しいrubyのバージョンをインストールしようとしてエラーが出たときのメモ

homebrewの人でrbenv intall 2.0.0-pxxxでこけてエラーログがこんなだったら・・・

1 warning and 1 error generated.
make[2]: *** [readline.o] Error 1
make[1]: *** [ext/readline/all] Error 2
make[1]: *** Waiting for unfinished jobs....
~~~
ld: warning: directory not found for option '-L/usr/local/opt/rbenv/versions/2.0.0-p247/lib'
make: *** [build-ext] Error 2


こんな感じにするとうまくいくかもしれない。

$ CONFIGURE_OPTS="--with-readline-dir=$(brew --prefix readline) --with-openssl-dir=$(brew --prefix o
penssl)" rbenv install 2.0.0-p247